#include<iostream.h>	
class clock	//时钟类的定义
{
public:	//公有成员函数
	void SetTime(int h=0, int m=0, int s=0);
	void ShowTime();
private:	//私有数据成员
	int hour;
	int minute;
	int second;
};
//时钟类成员函数的具体实现
void clock::SetTime(int h, int m, int s)
{
	hour=h>=0&&h<24?h:0;//过滤非法数据
	minute=m>=0&&m<60?m:0;
	second=s>=0&&s<60?s:0;
}

inline void clock::ShowTime()
{
	cout<<hour<<":"<<minute<<":"<<second<<endl;
}
//主函数
int main()
{
	clock s;	//定义clock对象s
	cout<<"第一次设置时间并显示:"<<endl;
	s.SetTime();	//设置时间为默认值
	s.ShowTime();	//显示时间
	cout<<"第二次设置时间并显示:"<<endl;
	s.SetTime(10,30,30);	//设置时间为10时30分30秒
	s.ShowTime();	//显示时间
    return(0);
    //s.hour;
    //cout<<"size of class Clock is: "<<sizeof(s)<<endl;
}
